package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MenuRecipeV2PageDTO  {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("区域Id")
   private Long areaId;
   private List<Long> areaIds;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   private List<Long> canteenIds;
   @ApiModelProperty("档口id")
   private Long stallId;
   private List<Long> stallIds;
   @ApiModelProperty("菜谱类型")
   private Integer recipeType;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaIds() {
      return this.areaIds;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public List<Long> getCanteenIds() {
      return this.canteenIds;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public List<Long> getStallIds() {
      return this.stallIds;
   }

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaIds(final List<Long> areaIds) {
      this.areaIds = areaIds;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenIds(final List<Long> canteenIds) {
      this.canteenIds = canteenIds;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallIds(final List<Long> stallIds) {
      this.stallIds = stallIds;
   }

   public void setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
   }

}
